Norwegian Block Exchange AS

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1750982400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://newsweb.oslobors.no/message/650273",
    "holding_balance": 10.0,
    "holding_net_change": 4.0,
    "transaction_value_usd": 428443.12,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767571200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://newsweb.oslobors.no/message/663062",
    "holding_balance": 13.5,
    "holding_net_change": 3.5,
    "transaction_value_usd": 323242.92,
    "average_entry_value_usd": 92355.12,
    "transaction_value_calculated": false
  },
  {
    "date": 1773964800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://newsweb.oslobors.no/message/668966",
    "holding_balance": 19.1,
    "holding_net_change": 5.6,
    "transaction_value_usd": 385743.0,
    "average_entry_value_usd": 68882.68,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    19.1
  ],
  [
    1779062400000,
    19.1
  ],
  [
    1779148800000,
    19.1
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1478910.326
  ],
  [
    1779062400000,
    1469635.557
  ],
  [
    1779148800000,
    1466116.191
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.573,
    "date": "2026-05-15",
    "high": 0.611,
    "open": 0.59,
    "close": 0.575,
    "volume": 1617541
  },
  {
    "low": 0.4995,
    "date": "2026-05-18",
    "high": 0.61,
    "open": 0.58,
    "close": 0.521,
    "volume": 5194101
  },
  {
    "low": 0.508,
    "date": "2026-05-19",
    "high": 0.562,
    "open": 0.538,
    "close": 0.53,
    "volume": 2273816
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 22.69,
  "six_month_return": -3.64,
  "three_month_return": 37.66
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/norwegian-block-exchange-as/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}